package ru.myitschool.work.data.mapper

import android.os.Build
import androidx.annotation.RequiresApi
import ru.myitschool.work.data.dto.EntriesDto
import ru.myitschool.work.data.dto.UserInfoDto
import ru.myitschool.work.domain.profile.entities.UserInfoEntity
import ru.myitschool.work.ui.entrylist.adapter.EntryHistoryEntity
import java.text.SimpleDateFormat
import java.util.Locale
import javax.inject.Inject

class EntryInfoMapper @Inject constructor() {

    @RequiresApi(Build.VERSION_CODES.O)
    operator fun invoke(model: List<EntriesDto>): Result<List<EntryHistoryEntity>> {
        return kotlin.runCatching {
            model.map {
                EntryHistoryEntity(
                    type = it.type.name,
                    identificator = it.readerId,
                    time = it.time.toString(),
                )
            }.toList()
        }
    }

    private companion object {
        private val simpleDateFormat = SimpleDateFormat(
            "yyyy-MM-dd'T'HH:mm:ss",
            Locale.US
        )
    }
}