package ru.myitschool.work.data.source

import dagger.Reusable
import retrofit2.Retrofit
import ru.myitschool.work.data.dto.EntriesDto
import ru.myitschool.work.data.dto.OpenQrDto
import ru.myitschool.work.data.dto.UserInfoDto
import javax.inject.Inject

@Reusable
class EntryNetworkDataSource @Inject constructor(
    private val retrofit: Retrofit
) {
    private val api by lazy {
        retrofit.create(EntryApi::class.java)
    }

    suspend fun getEntries(basicAuth: String): Result<List<EntriesDto>> {
        return kotlin.runCatching { api.getEntries(basicAuth = basicAuth) }
    }
}