package ru.myitschool.work.domain.entry

import ru.myitschool.work.domain.auth.GetLoginUseCase
import ru.myitschool.work.domain.entry.repo.EntryRepository
import ru.myitschool.work.ui.entrylist.adapter.EntryHistoryEntity
import javax.inject.Inject

class EntryListUseCase @Inject constructor(
    private val repo: EntryRepository,
    private val getLoginUseCase: GetLoginUseCase,
) {
    suspend operator fun invoke(): Result<List<EntryHistoryEntity>> {
        return getLoginUseCase().fold(
            onSuccess = { basicAuth -> repo.getEntries(basicAuth) },
            onFailure = { error -> Result.failure(error) }
        )
    }
}